Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr
Class RelationshipRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.rest.repr.RelationshipRepresentation

All Implemented Interfaces:
  EntityRepresentation

    public final class RelationshipRepresentation

extends ObjectRepresentation
implements EntityRepresentation

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`RelationshipRepresentation(Relationship rel)`

Method Summary
`ValueRepresentation` | `endNodeUri()`
`long` | `getId()`
`String` | `getIdentity()`
`ValueRepresentation` | `getType()`
`static ListRepresentation` | `list(Iterable<Relationship> relationships)`
`ValueRepresentation` | `propertiesUri()`
`ValueRepresentation` | `propertyUriTemplate()`
`ValueRepresentation` | `selfUri()`
`ValueRepresentation` | `startNodeUri()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipRepresentation

    public RelationshipRepresentation(Relationship rel)

Method Detail

### getIdentity

    public String getIdentity()

### getId

    public long getId()

### selfUri

    public ValueRepresentation selfUri()

  Specified by:
    `selfUri` in interface `EntityRepresentation`

### getType

    public ValueRepresentation getType()

### startNodeUri

    public ValueRepresentation startNodeUri()

### endNodeUri

    public ValueRepresentation endNodeUri()

### propertiesUri

    public ValueRepresentation propertiesUri()

### propertyUriTemplate

    public ValueRepresentation propertyUriTemplate()

### list

    public static ListRepresentation list(Iterable<Relationship> relationships)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.